A package to create and customize linear & circle indicator easily.

## Features

🌟Customizable circle indicator<br>
🌟Customizable linear indicator<br><br>
![img](assets/gif/linear.gif)<br><br>

## Getting started
## Install it

Add package to your pubspec.yaml file
```yaml
    dependecies:
        flutter:
            sdk: flutter
        custom_indicator: any
```

## Or

```dart
flutter pub add custom_indicator
```

Import id
```dart
import 'package:custom_indicator/custom_indicator.dart';
```
<br><br>
## Usage
Use indicator without adding value
```dart
    CustomLinearIndicator()
```
```dart
    CustomCircleIndicator()
```
<br>

Add indicator with value
```dart
CustomCircleIndicator(
    value: 100,
    backColor: Colors.red,
),
```
```dart
CustomLinearIndicator(
    value: 100,
    backColor: Colors.red,
),
```
![img](assets/img/circle100.png)
![img](assets/img/linear100.png)<br><br>

Change indicator type
```dart
CustomCircleIndicator(
    value: 35,
    backColor: Colors.red,
    pointerColor: Colors.red,
    indicatorType: IndicatorType.pointer,
),
```
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    indicatorType: IndicatorType.pointer,
),
```
![img](assets/img/circle35pointer.png)
![img](assets/img/linear35pointer.png)<br><br>

Check on finish
```dart
CustomCircleIndicator(
    value: 100,
    checkOnFinish: true,
    backColor: Colors.red,
),
```
```dart
CustomLinearIndicator(
    value: 100,
    backColor: Colors.red,
    checkOnFinish: true,
    height: 70,
),
```
![img](assets/img/circlecheckOnFinish.png)
![img](assets/img/linear100checked.png)<br><br>

Change linear edge
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    checkOnFinish: true,
    edgeType: EdgeType.square,
),
```
![img](assets/img/linear35square.png)<br><br>

Cill linear indicator
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    checkOnFinish: true,
    filled: true,
),
```
![img](assets/img/linear35filled.png)<br><br>

To hide indicator value set showValue property to false
```dart
CustomLinearIndicator(
    value: 35,
    backColor: Colors.red,
    checkOnFinish: true,
    filled: true,
    showValue: false,
),
```
![img](assets/img/linear35hidevalue.png)